<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

    <head>
    <title>IBResourceManager class documentation</title>
  </head>
  <body>
    <font face="serif">
    <h1><a name="title$IBResourceManager">IBResourceManager class documentation</a></h1>
    <h3>Authors</h3>
    <dl>
      <dt>Generated by heron</dt>
      <dd>
      </dd>
    </dl>

        <div>
      <hr width="50%" align="left" />
      <h3>Contents -</h3>
      <ol>
        <li>
          <a href="#001000000000">Software documentation for the IBResourceManager class</a>
        </li>
        <li>
          <a href="#002000000000">IBResourceManager variables</a>
        </li>
      </ol>
      <hr width="50%" align="left" />
    </div>

          <h1><a name="001000000000">
        Software documentation for the IBResourceManager class
      </a></h1>
    <h2><a name="class$IBResourceManager">IBResourceManager</a> : NSObject</h2>
    <blockquote class="declared">
      <dl>
        <dt><b>Declared in:</b></dt>
        <dd>InterfaceBuilder/IBResourceManager.h</dd>
      </dl>
    </blockquote>
    <div class="desc">
      
          <em>Description forthcoming.</em>
        
    </div>
    <hr width="50%" align="left" />
    <a href="#_IBResourceManager_ivars">Instance Variables</a>
    <br/><br/>
    <b>Method summary</b>
    <ul>
      <li><a rel="gsdoc" href="IBResourceManager.html#method$IBResourceManager+registerResourceManagerClass$">+registerResourceManagerClass:</a></li>
      <li><a rel="gsdoc" href="IBResourceManager.html#method$IBResourceManager+registerResourceManagerClass$forFrameworks$">+registerResourceManagerClass:forFrameworks:</a></li>
      <li><a rel="gsdoc" href="IBResourceManager.html#method$IBResourceManager+registeredResourceManagerClassesForFramework$">+registeredResourceManagerClassesForFramework:</a></li>
      <li><a rel="gsdoc" href="IBResourceManager.html#method$IBResourceManager-acceptsResourcesFromPasteboard$">-acceptsResourcesFromPasteboard:</a></li>
      <li><a rel="gsdoc" href="IBResourceManager.html#method$IBResourceManager-addResources$">-addResources:</a></li>
      <li><a rel="gsdoc" href="IBResourceManager.html#method$IBResourceManager-addResourcesFromPasteboard$">-addResourcesFromPasteboard:</a></li>
      <li><a rel="gsdoc" href="IBResourceManager.html#method$IBResourceManager-application$didModifyFileAtPath$">-application:didModifyFileAtPath:</a></li>
      <li><a rel="gsdoc" href="IBResourceManager.html#method$IBResourceManager-document">-document</a></li>
      <li><a rel="gsdoc" href="IBResourceManager.html#method$IBResourceManager-initWithDocument$">-initWithDocument:</a></li>
      <li><a rel="gsdoc" href="IBResourceManager.html#method$IBResourceManager-isReadOnly">-isReadOnly</a></li>
      <li><a rel="gsdoc" href="IBResourceManager.html#method$IBResourceManager-project$didAddFile$">-project:didAddFile:</a></li>
      <li><a rel="gsdoc" href="IBResourceManager.html#method$IBResourceManager-project$didChangeLocalizationOfFile$">-project:didChangeLocalizationOfFile:</a></li>
      <li><a rel="gsdoc" href="IBResourceManager.html#method$IBResourceManager-project$didRemoveFile$">-project:didRemoveFile:</a></li>
      <li><a rel="gsdoc" href="IBResourceManager.html#method$IBResourceManager-resourceFileTypes">-resourceFileTypes</a></li>
      <li><a rel="gsdoc" href="IBResourceManager.html#method$IBResourceManager-resourcePasteboardTypes">-resourcePasteboardTypes</a></li>
      <li><a rel="gsdoc" href="IBResourceManager.html#method$IBResourceManager-resourcesForObjects$">-resourcesForObjects:</a></li>
      <li><a rel="gsdoc" href="IBResourceManager.html#method$IBResourceManager-writeToDocumentPath$">-writeToDocumentPath:</a></li>
    </ul>
    <hr width="50%" align="left" />
<div class="method">
    <h3><a name="method$IBResourceManager+registerResourceManagerClass$">registerResourceManagerClass:&nbsp;</a></h3>
    + (void) <b>registerResourceManagerClass:</b> (Class)managerClass;<br />
    <div class="desc">
      
            Register the given class as a resource mananger.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$IBResourceManager+registerResourceManagerClass$forFrameworks$">registerResourceManagerClass:&nbsp;forFrameworks:&nbsp;</a></h3>
    + (void) <b>registerResourceManagerClass:</b> (Class)managerClass<b> forFrameworks:</b> (NSArray*)frameworks;<br />
    <div class="desc">
      
            Register the given class as a resource manager for
            the <var>frameworks</var> in the array.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$IBResourceManager+registeredResourceManagerClassesForFramework$">registeredResourceManagerClassesForFramework:&nbsp;</a></h3>
    + (NSArray*) <b>registeredResourceManagerClassesForFramework:</b> (NSString*)framework;<br />
    <div class="desc">
      
            Return an array of classes for the given
            <var>framework</var>.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$IBResourceManager-acceptsResourcesFromPasteboard$">acceptsResourcesFromPasteboard:&nbsp;</a></h3>
    - (BOOL) <b>acceptsResourcesFromPasteboard:</b> (NSPasteboard*)pboard;<br />
    <div class="desc">
      
            Returns <code>YES</code>, if the pasteboard
            contains a type the resource manager can accept.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$IBResourceManager-addResources$">addResources:&nbsp;</a></h3>
    - (void) <b>addResources:</b> (NSArray*)resourceList;<br />
    <div class="desc">
      
            Add a resource.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$IBResourceManager-addResourcesFromPasteboard$">addResourcesFromPasteboard:&nbsp;</a></h3>
    - (void) <b>addResourcesFromPasteboard:</b> (NSPasteboard*)pboard;<br />
    <div class="desc">
      
            Add resoures from the pasteboard. Invokes the
            acceptsResourcesFromPasteboard:
            method to determine if the resources will be added.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$IBResourceManager-application$didModifyFileAtPath$">application:&nbsp;didModifyFileAtPath:&nbsp;</a></h3>
    - (void) <b>application:</b> (NSString*)appName<b> didModifyFileAtPath:</b> (NSString*)path;<br />
    <div class="desc">
      
            Called by an external application when a file owned
            by the GUI builder is modified.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$IBResourceManager-document">document&nbsp;</a></h3>
    - (id<<a rel="gsdoc" href="IBDocuments.html#protocol$(IBDocuments)">IBDocuments</a>>) <b>document</b>;<br />
    <div class="desc">
      
            Returns the document with which this resource
            manager is associated.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$IBResourceManager-initWithDocument$">initWithDocument:&nbsp;</a></h3>
    - (id) <b>initWithDocument:</b> (id<<a rel="gsdoc" href="IBDocuments.html#protocol$(IBDocuments)">IBDocuments</a>>)doc;<br />
    <div class="desc">
      
            Instantiate the resource manager with the given
            document object.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$IBResourceManager-isReadOnly">isReadOnly&nbsp;</a></h3>
    - (BOOL) <b>isReadOnly</b>;<br />
    <div class="desc">
      
            Returns <code>YES</code>, if this resource manager
            is non-modifiable.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$IBResourceManager-project$didAddFile$">project:&nbsp;didAddFile:&nbsp;</a></h3>
    - (void) <b>project:</b> (id<<a rel="gsdoc" href="IBProjects.html#protocol$(IBProjects)">IBProjects</a>>)proj<b> didAddFile:</b> (id<<a rel="gsdoc" href="IBProjectFiles.html#protocol$(IBProjectFiles)">IBProjectFiles</a>>)file;<br />
    <div class="desc">
      
            Called by an external application when the a
            <var>file</var> is added.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$IBResourceManager-project$didChangeLocalizationOfFile$">project:&nbsp;didChangeLocalizationOfFile:&nbsp;</a></h3>
    - (void) <b>project:</b> (id<<a rel="gsdoc" href="IBProjects.html#protocol$(IBProjects)">IBProjects</a>>)proj<b> didChangeLocalizationOfFile:</b> (id<<a rel="gsdoc" href="IBProjectFiles.html#protocol$(IBProjectFiles)">IBProjectFiles</a>>)file;<br />
    <div class="desc">
      
            Called by an external application when the a
            <var>file</var> changes localization.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$IBResourceManager-project$didRemoveFile$">project:&nbsp;didRemoveFile:&nbsp;</a></h3>
    - (void) <b>project:</b> (id<<a rel="gsdoc" href="IBProjects.html#protocol$(IBProjects)">IBProjects</a>>)proj<b> didRemoveFile:</b> (id<<a rel="gsdoc" href="IBProjectFiles.html#protocol$(IBProjectFiles)">IBProjectFiles</a>>)file;<br />
    <div class="desc">
      
            Called by an external application when a
            <var>file</var> is removed.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$IBResourceManager-resourceFileTypes">resourceFileTypes&nbsp;</a></h3>
    - (NSArray*) <b>resourceFileTypes</b>;<br />
    <div class="desc">
      
            Returns a list of resource file types this manager
            can accept.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$IBResourceManager-resourcePasteboardTypes">resourcePasteboardTypes&nbsp;</a></h3>
    - (NSArray*) <b>resourcePasteboardTypes</b>;<br />
    <div class="desc">
      
            Returns a list of pasteboard types this manager can
            accept.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$IBResourceManager-resourcesForObjects$">resourcesForObjects:&nbsp;</a></h3>
    - (NSArray*) <b>resourcesForObjects:</b> (NSArray*)objs;<br />
    <div class="desc">
      
            Returns the associated resources for the objects.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$IBResourceManager-writeToDocumentPath$">writeToDocumentPath:&nbsp;</a></h3>
    - (void) <b>writeToDocumentPath:</b> (NSString*)path;<br />
    <div class="desc">
      
            Writes a resource to the document <var>path</var>.
          
    </div>
    <hr width="25%" align="left" />
</div>
<a name="_IBResourceManager_ivars"/>    <br/><hr width="50%" align="left" />
    <h2>Instance Variables for IBResourceManager Class</h2>
    <h3><a name="ivariable$IBResourceManager*document">document</a></h3>
    @protected id<IBDocuments> <b>document</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <br/><hr width="50%" align="left" /><br/>

          <h1><a name="002000000000">IBResourceManager variables</a></h1>
    <p>
    </p>
    <h3><a name="variable$enum IBResourceLocation">enum IBResourceLocation</a></h3>
    enum IBResourceLocation enum IBResourceLocation;<br />
    <div class="desc">
      
          Enumerated type to allow specification of where
          the resource lives.
          
      <dl>
        <dt><em>kNibResource</em></dt>
        <dd>
        </dd>
        <dt><em>kProjectResource</em></dt>
        <dd>
        </dd>
        <dt><em>kPaletteResource</em></dt>
        <dd>
        </dd>
        <dt><em>kSystemResource</em></dt>
        <dd>
        </dd>
        <dt><em>kUnknownResource</em></dt>
        <dd>
        </dd>
      </dl>
      
        
    </div>
    <hr width="25%" align="left" />
    <br />
    </font>
</body>
</html>
